﻿<UserControl x:Class="VECTO3GUI2020.Views.Multistage.CustomControls.MultistageParameterCheckBoxView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.Multistage.CustomControls"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <UniformGrid Rows="1" Margin="0 0 10 2">
        <!--<Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="4*" SharedSizeGroup="W"/>
                <ColumnDefinition Width="1*" SharedSizeGroup="N"/>
                <ColumnDefinition Width="4*" SharedSizeGroup="W"/>
                <ColumnDefinition Width="4*" SharedSizeGroup="W"/>
                <ColumnDefinition Width="1*" SharedSizeGroup="N"/>
            </Grid.ColumnDefinitions>-->
            <DockPanel Margin="5 0 ">
                <Label x:Name="label3">
                <PriorityBinding>
                    <Binding Path="Label"  Converter="{StaticResource NullToUnsetValue}"></Binding>
                    <Binding Path="GeneratedLabelText"></Binding>
                </PriorityBinding>
            </Label>
            <CheckBox Grid.Column="1" HorizontalAlignment="Right" VerticalAlignment="Center" Name="CheckBoxCheckBox" 
                  Visibility="{Binding ShowCheckBox, 
                    Converter={StaticResource BooleanToVisibilityConverter}}"
                  IsChecked="{Binding EditingEnabled, 
            Mode=TwoWay}"
                 />
            </DockPanel>

            <CheckBox x:Name="checkBox" Grid.Column="2" VerticalAlignment="Center" HorizontalAlignment="Center" IsTabStop="False" IsChecked="{Binding 
                Path=PreviousContent, 
                Converter={StaticResource XToBoolConverter}}" IsEnabled="False"
                      Visibility="{Binding ShowConsolidatedData, Converter={StaticResource BooleanToVisibilityConverter}}">
            </CheckBox>

            <CheckBox x:Name="checkBox1" Grid.Column="3" VerticalAlignment="Center" HorizontalAlignment="Center" IsThreeState="{Binding AllowNullValue}"
                      IsEnabled="{Binding 
                Path=EditingEnabled, UpdateSourceTrigger=PropertyChanged}"
                      IsChecked="{Binding CurrentContent, Mode=TwoWay, ValidatesOnDataErrors=True, ValidatesOnExceptions=True, Converter={StaticResource XToBoolConverter},
                UpdateSourceTrigger=PropertyChanged}">

            </CheckBox>
        </UniformGrid>
    </Grid>
</UserControl>
